XINE, A Free Video Player Project - API reference

Main Page Modules Data Structures File List Data Fields Globals

# vo_driver_s Struct Reference

`#include <xine.h>`

## Data Fields
uint32_t (* | get_capabilities )(vo_driver_t *self)
vo_frame_t* (* | alloc_frame )(vo_driver_t *self)
void (* | update_frame_format )(vo_driver_t *self, vo_frame_t *img, uint32_t width, uint32_t height, int ratio_code, int format)
void (* | display_frame )(vo_driver_t *self, vo_frame_t *vo_img)
void (* | overlay_blend )(vo_driver_t *self, vo_frame_t *vo_img, vo_overlay_t *overlay)
int (* | get_property )(vo_driver_t *self, int property)
int (* | set_property )(vo_driver_t *self, int property, int value)
void (* | get_property_min_max )(vo_driver_t *self, int property, int *min, int *max)
int (* | gui_data_exchange )(vo_driver_t *self, int data_type, void *data)
void (* | exit )(vo_driver_t *self)

## Detailed Description

Video driver fonctions.

## Field Documentation

vo_frame_t *(* vo_driver_s::alloc_frame)(vo_driver_t *self)

| Allocate an vo_frame_t struct, the driver must supply the copy, field and dispose functions

void(* vo_driver_s::display_frame)(vo_driver_t *self, vo_frame_t *vo_img)

| Display a given frame

void(* vo_driver_s::exit)(vo_driver_t *self)

| Leaving video driver.

uint32_t(* vo_driver_s::get_capabilities)(vo_driver_t *self)

| Get capabilities of video driver. See also: video driver capabilities

int(* vo_driver_s::get_property)(vo_driver_t *self, int property)

| Get value if property. See also: Constants for the get/set properties functions.

void(* vo_driver_s::get_property_min_max)(vo_driver_t *self, int property, int *min, int *max)

| Get min/max values of property. See also: Constants for the get/set properties functions.

int(* vo_driver_s::gui_data_exchange)(vo_driver_t *self, int data_type, void *data)

| General purpose communication channel between gui and driver this should be used to propagate events, display data, window sizes etc. to the driver

void(* vo_driver_s::overlay_blend)(vo_driver_t *self, vo_frame_t *vo_img, vo_overlay_t *overlay)

| Overlay functions

int(* vo_driver_s::set_property)(vo_driver_t *self, int property, int value)

| Set value of property. See also: Constants for the get/set properties functions.

void(* vo_driver_s::update_frame_format)(vo_driver_t *self, vo_frame_t *img, uint32_t width, uint32_t height, int ratio_code, int format)

| Check if the given image fullfills the format specified (re-)allocate memory if necessary

The documentation for this struct was generated from the following file:

- xine.h